<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
	<class name="Model" table="tb_Models">
		<id name="ID" column="ID" type="int" unsaved-value="0">
			<generator class="native" />
		</id>
		<property name="Name" column="Name" type="string"  />
		<property name="CorrectedTemp" column="CorrectedTemp" type="int"  />
		<property name="FanRunStatus" column="FanRunStatus" type="bool"  />
		<property name="ExhaustFanStatus" column="ExhaustFanStatus" type="int"  />
		<property name="ExhausFanTime" column="ExhausFanTime" type="int"  />
		<property name="InfraredDelayPO" column="InfraredDelayPO" type="int"  />
		<property name="DoorDelayPO" column="DoorDelayPO" type="int"  />
		<property name="PullCardDelayPO" column="PullCardDelayPO" type="int"  />
		<bag name="Details" table="tb_ModelDetail" cascade="all" inverse="true" lazy="false">
			<key column="ModelID"/>
			<one-to-many class="ModelDetail" />
		</bag>
		<property name="Remark" column="Remark" type="string"  />
		<property name="ModifiedDate" column="ModifiedDate" type="DateTime"  />
		<property name="ApplyDate" column="ApplyDate" type="DateTime"  />
		<property name="ApplyUser" column="ApplyUser" type="string"  />
		<property name="Hosts" column="Hosts" type="string"  />

	</class>
</hibernate-mapping>
